Name: xbsql
Version: 0.11
Release: alt1

Summary: XBSQL: An SQL wrapper for xbase

License: GPL
Group: Databases
Url: http://www.quaking.demon.co.uk/xbsql/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Sat Jun 18 2005
BuildRequires: gcc-c++ glibc-devel-static libncurses-devel libreadline-devel libstdc++-devel libxbase-devel mawk

BuildRequires: libxbase-devel libreadline-devel
#Requires: xbase

%description
Xbase DBMS is a C++ library which supports access to Xbase type datafiles and
indexes (ie., .dbf and related files).

%package -n lib%name
Summary: Libraries needed for %name
Group: System/Libraries

%description -n lib%name
Libraries needed for %name

%package -n lib%name-devel
Summary: Headers for %name
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers for %name

%prep
%setup -q

%build
%__rm -f config.cache
%configure --disable-static
%make

%install
%makeinstall

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%doc README AUTHORS TODO ChangeLog
%_bindir/xql

%files -n lib%name
#%_libdir/libxbsql.la
%_libdir/libxbsql.so.0
%_libdir/libxbsql.so.0.0.0

%files -n lib%name-devel
%_includedir/xbsql.h
%_libdir/libxbsql.so
#%_libdir/libxbsql.a

%changelog
* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.11-alt1
- first build for ALT Linux Sisyphus

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-5mdk
- correct %%Summary

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-4mdk
- rebuild
- spec cleaning

* Sun Jan 4 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-3mdk
- buildrequires libreadline-devel
- move some libs

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-2mdk
- include missing libraries
- buildrequires and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-1mdk
- initial Mandrake release
- needed by rekall

